Bug 36177 - Aiee, killing interrupt handler on boot
Aiee, killing interrupt handler on boot
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-17 03:35 EDT by Mark Tyler
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 20:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Tyler 2001-04-17 03:35:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)


Every time I attempt to boot linux I get the same error and the system 
hangs

Reproducible: Always
Steps to Reproduce:
1. Boot system
2. Wait until detecting new hardware stage
3. Crashes
	

Actual Results:  The system throws up some sort of stack dump info 
[<....>] etc although I cannot see the first line on screen where this 
occurs, then it follows up with the 

Aiee, killing interrupt handler

Kernel panic: Attempted to kill the 'idle task'
In interrupt handler - not syncing

I'm running this on a Dell inspiron 8000 800vt. The installation process 
seems to detect all of my existing hardware correctly and I have tried 
several different custom installs of RH7.0. I found one possible problem 
to do with the disabling of the serial number on boot but when I used the 
suggested kernel parameter x86_serial_nr=1 it made no difference at all.

My system is dual boot with Windows 2000 using Boot Magic. The windows 
NTFS partition starts just at under the 8gb mark with Linux occupying the 
initial 8gb.
Comment 1 Mark Tyler 2001-04-17 07:26:14 EDT
PS There is no lilo.conf in the /etc directory
Comment 2 Arjan van de Ven 2001-04-17 13:11:45 EDT
Does "linux single" on the lilo promt complete booting?
If so I'd recommend using that to install the 2.2.19 kernel we just released.

Not having lilo.conf seems serious though... something is weird.
Comment 3 Mark Tyler 2001-04-18 03:12:06 EDT
I'll give it a try.
Not sure if this offers any more info, but if I boot using linux rescue I can 
find no /var/log/messages, lilo, liloconfig, kysymoops etc that I have seen 
other people referencing in other bugs and the boot disk I created from the 
install does nothing.
Comment 4 Mark Tyler 2001-04-19 03:39:38 EDT
Apologies for the windows instilled ignorance. Used linux single, then su and 
had a look around and all the files that should be there are.

Lilo.conf is
boot=/dev/hda2
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
default=linux

image=/boot/vmlinuz-2.2.16-22
	label=linux
	read-only
	root=/dev/hda6
	append="x86_serial_nr=1"

Did have linear as well but I removed it - makes no difference to my system.

messages file contains the following........

Apr 18 22:02:22 localhost syslogd 1.3-3: restart.
Apr 18 22:02:22 localhost syslog: syslogd startup succeeded
Apr 18 22:02:22 localhost syslog: klogd startup succeeded
Apr 18 22:02:22 localhost kernel: klogd 1.3-3, log source = /proc/kmsg started.
Apr 18 22:02:22 localhost kernel: Inspecting /boot/System.map-2.2.16-22
Apr 18 22:02:22 localhost kernel: Loaded 7166 symbols from /boot/System.map-
2.2.16-22.
Apr 18 22:02:22 localhost kernel: Symbols match kernel version 2.2.16.
Apr 18 22:02:22 localhost kernel: Loaded 129 symbols from 3 modules.
Apr 18 22:02:22 localhost kernel: Linux version 2.2.16-22 
(root@porky.devel.redhat.com) (gcc version egcs-2.91.66 19990314/Linux (egcs-
1.1.2 release)) #1 Tue Aug 22 16:49:06 EDT 2000
Apr 18 22:02:22 localhost kernel: Detected 648591 kHz processor.
Apr 18 22:02:22 localhost kernel: Console: colour VGA+ 80x25
Apr 18 22:02:22 localhost kernel: Calibrating delay loop... 1294.34 BogoMIPS
Apr 18 22:02:22 localhost kernel: Memory: 192584k/196480k available (1048k 
kernel code, 412k reserved, 2372k data, 64k init, 0k bigmem)
Apr 18 22:02:22 localhost kernel: Dentry hash table entries: 262144 (order 9, 
2048k)
Apr 18 22:02:22 localhost kernel: Buffer cache hash table entries: 262144 
(order 8, 1024k)
Apr 18 22:02:22 localhost kernel: Page cache hash table entries: 65536 (order 
6, 256k)
Apr 18 22:02:22 localhost kernel: VFS: Diskquotas version dquot_6.4.0 
initialized
Apr 18 22:02:22 localhost kernel: CPU: Intel Pentium III (Coppermine) stepping 
06
Apr 18 22:02:22 localhost kernel: Checking 386/387 coupling... OK, FPU using 
exception 16 error reporting.
Apr 18 22:02:22 localhost kernel: Checking 'hlt' instruction... OK.
Apr 18 22:02:22 localhost kernel: POSIX conformance testing by UNIFIX
Apr 18 22:02:22 localhost kernel: mtrr: v1.35a (19990819) Richard Gooch 
(rgooch@atnf.csiro.au)
Apr 18 22:02:22 localhost kernel: PCI: PCI BIOS revision 2.10 entry at 0xfc06e
Apr 18 22:02:22 localhost kernel: PCI: Using configuration type 1
Apr 18 22:02:22 localhost kernel: PCI: Probing PCI hardware
Apr 18 22:02:22 localhost kernel: Linux NET4.0 for Linux 2.2
Apr 18 22:02:22 localhost kernel: Based upon Swansea University Computer 
Society NET3.039
Apr 18 22:02:22 localhost kernel: NET4: Unix domain sockets 1.0 for Linux 
NET4.0.
Apr 18 22:02:22 localhost kernel: NET4: Linux TCP/IP 1.0 for NET4.0
Apr 18 22:02:22 localhost kernel: IP Protocols: ICMP, UDP, TCP, IGMP
Apr 18 22:02:22 localhost kernel: TCP: Hash tables configured (ehash 262144 
bhash 65536)
Apr 18 22:02:22 localhost kernel: Linux IP multicast router 0.06 plus PIM-SM
Apr 18 22:02:22 localhost kernel: Initializing RT netlink socket
Apr 18 22:02:22 localhost kernel: Starting kswapd v 1.5 
Apr 18 22:02:22 localhost kernel: Detected PS/2 Mouse Port.
Apr 18 22:02:22 localhost kernel: Serial driver version 4.27 with MANY_PORTS 
MULTIPORT SHARE_IRQ enabled
Apr 18 22:02:22 localhost kernel: ttyS00 at 0x03f8 (irq = 4) is a 16550A
Apr 18 22:02:22 localhost kernel: ttyS03 at 0x02e8 (irq = 3) is a 16550A
Apr 18 22:02:23 localhost kernel: pty: 256 Unix98 ptys configured
Apr 18 22:02:23 localhost kernel: apm: BIOS version 1.2 Flags 0x03 (Driver 
version 1.13)
Apr 18 22:02:23 localhost kernel: Real Time Clock Driver v1.09
Apr 18 22:02:23 localhost kernel: RAM disk driver initialized:  16 RAM disks of 
4096K size
Apr 18 22:02:23 localhost kernel: PCI_IDE: unknown IDE controller on PCI bus 00 
device f9, VID=8086, DID=244a
Apr 18 22:02:23 localhost kernel: PCI_IDE: not 100% native mode: will probe 
irqs later
Apr 18 22:02:23 localhost kernel:     ide0: BM-DMA at 0xbfa0-0xbfa7, BIOS 
settings: hda:DMA, hdb:DMA
Apr 18 22:02:23 localhost kernel:     ide1: BM-DMA at 0xbfa8-0xbfaf, BIOS 
settings: hdc:pio, hdd:pio
Apr 18 22:02:23 localhost kernel: hda: IBM-DJSA-220, ATA DISK drive
Apr 18 22:02:23 localhost kernel: hdb: TOSHIBA DVD-ROM SD-C2402, ATAPI CDROM 
drive
Apr 18 22:02:23 localhost kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Apr 18 22:02:23 localhost kernel: hda: IBM-DJSA-220, 19077MB w/1874kB Cache, 
CHS=2432/255/63
Apr 18 22:02:23 localhost kernel: Floppy drive(s): fd0 is 1.44M
Apr 18 22:02:23 localhost kernel: FDC 0 is a post-1991 82077
Apr 18 22:02:23 localhost kernel: md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
Apr 18 22:02:23 localhost kernel: raid5: measuring checksumming speed
Apr 18 22:02:23 localhost kernel: raid5: MMX detected, trying high-speed MMX 
checksum routines
Apr 18 22:02:23 localhost kernel:    pII_mmx   :  1442.847 MB/sec
Apr 18 22:02:23 localhost kernel:    p5_mmx    :  1515.618 MB/sec
Apr 18 22:02:23 localhost kernel:    8regs     :  1114.425 MB/sec
Apr 18 22:02:23 localhost kernel:    32regs    :   624.459 MB/sec
Apr 18 22:02:23 localhost kernel: using fastest function: p5_mmx (1515.618 
MB/sec)
Apr 18 22:02:23 localhost kernel: scsi : 0 hosts.
Apr 18 22:02:23 localhost kernel: scsi : detected total.
Apr 18 22:02:23 localhost kernel: md.c: sizeof(mdp_super_t) = 4096
Apr 18 22:02:23 localhost kernel: Partition check:
Apr 18 22:02:23 localhost kernel:  hda: hda1 hda2 hda3 < hda5 hda6 > hda4
Apr 18 22:02:23 localhost kernel: autodetecting RAID arrays
Apr 18 22:02:23 localhost kernel: autorun ...
Apr 18 22:02:23 localhost kernel: ... autorun DONE.
Apr 18 22:02:23 localhost kernel: VFS: Mounted root (ext2 filesystem) readonly.
Apr 18 22:02:23 localhost kernel: Freeing unused kernel memory: 64k freed
Apr 18 22:02:23 localhost kernel:Adding Swap: 265032k swap-space (priority -1)
Apr 18 22:02:23 localhost kernel: usb.c: registered new driver usbdevfs
Apr 18 22:02:23 localhost kernel: usb.c: registered new driver hub
Apr 18 22:02:23 localhost kernel: usb-uhci.c: $Revision: 1.232 $ time 16:53:56 
Aug 22 2000
Apr 18 22:02:23 localhost kernel: usb-uhci.c: High bandwidth mode enabled
Apr 18 22:02:23 localhost kernel: usb-uhci.c: Intel USB controller: setting 
latency timer to 0
Apr 18 22:02:23 localhost kernel: usb-uhci.c: USB UHCI at I/O 0xbce0, IRQ 11
Apr 18 22:02:23 localhost kernel: usb-uhci.c: Detected 2 ports
Apr 18 22:02:23 localhost kernel: usb.c: new USB bus registered, assigned bus 
number 1
Apr 18 22:02:23 localhost kernel: usb.c: USB new device connect, assigned 
device number 1
Apr 18 22:02:23 localhost kernel: hub.c: USB hub found
Apr 18 22:02:23 localhost kernel: hub.c: 2 ports detected
Apr 18 22:02:23 localhost kernel: Linux agpgart interface v0.99 (c) Jeff 
Hartmann
Apr 18 22:02:23 localhost kernel: agpgart: Maximum main memory to use for agp 
memory: 149M
Apr 18 22:02:23 localhost kernel: agpgart: agpgart: Detected an Intel i815, but 
could not find the secondary device.
Apr 18 22:02:23 localhost kernel: eepro100.c:v1.09j-t 9/29/99 Donald Becker 
http://cesdis.gsfc.nasa.gov/linux/drivers/eepro100.html
Apr 18 22:02:23 localhost kernel: eepro100.c: $Revision: 1.20.2.10 $ 2000/05/31 
Modified by Andrey V. Savochkin <saw@saw.sw.com.sg> and others
Apr 18 22:02:23 localhost kernel: eth0: OEM i82557/i82558 10/100 Ethernet, 
00:20:E0:65:CA:2A, I/O at 0xecc0, IRQ 11.
Apr 18 22:02:23 localhost kernel:   Board assembly 727095-002, Physical 
connectors present: RJ45
Apr 18 22:02:23 localhost kernel:   Primary interface chip i82555 PHY #1.
Apr 18 22:02:23 localhost kernel:   General self-test: passed.
Apr 18 22:02:23 localhost kernel:   Serial sub-system self-test: passed.
Apr 18 22:02:23 localhost kernel:   Internal registers self-test: passed.
Apr 18 22:02:23 localhost kernel:   ROM checksum self-test: passed (0x04f4518b).
Apr 18 22:02:23 localhost kernel:   Receiver lock-up workaround activated.
Apr 18 22:02:23 localhost portmap: portmap startup succeeded
Apr 18 22:02:23 localhost nfslock: rpc.lockd startup succeeded
Apr 18 22:02:23 localhost nfslock: rpc.statd startup succeeded
Apr 18 22:02:23 localhost apmd: apmd startup succeeded
Apr 18 22:02:23 localhost apmd[439]: Version 3.0final (APM BIOS 1.2, Linux 
driver 1.13)
Apr 18 21:57:14 localhost rc.sysinit: Mounting proc filesystem:  succeeded 
Apr 18 21:57:14 localhost sysctl: net.ipv4.ip_forward = 0 
Apr 18 21:57:14 localhost sysctl: net.ipv4.conf.all.rp_filter = 1 
Apr 18 21:57:14 localhost sysctl: net.ipv4.ip_always_defrag = 0 
Apr 18 21:57:14 localhost sysctl: kernel.sysrq = 0 
Apr 18 21:57:14 localhost rc.sysinit: Configuring kernel parameters:  succeeded 
Apr 18 21:57:14 localhost date: Wed Apr 18 21:55:46 BST 2001 
Apr 18 21:57:14 localhost rc.sysinit: Setting clock (localtime): Wed Apr 18 
21:55:46 BST 2001 succeeded 
Apr 18 21:57:14 localhost rc.sysinit: Loading default keymap succeeded 
Apr 18 21:57:14 localhost rc.sysinit: Activating swap partitions:  succeeded 
Apr 18 21:57:14 localhost rc.sysinit: Setting hostname localhost.localdomain:  
succeeded 
Apr 18 21:57:14 localhost rc.sysinit: Initializing USB controller (usb-uhci):  
succeeded 
Apr 18 21:57:14 localhost rc.sysinit: Mounting USB filesystem:  succeeded 
Apr 18 21:57:14 localhost fsck: / was not cleanly unmounted, check forced. 
Apr 18 21:57:14 localhost fsck: Setting filetype for entry 'log' in /dev 
(195457) to 6. 
Apr 18 21:57:14 localhost fsck: /: 95364/879552 files (0.1% non-contiguous), 
332669/1757101 blocks 
Apr 18 21:57:14 localhost rc.sysinit: Checking root filesystem succeeded 
Apr 18 21:57:14 localhost rc.sysinit: Remounting root filesystem in read-write 
mode:  succeeded 
Apr 18 21:57:14 localhost rc.sysinit: Finding module dependencies:  succeeded 
Apr 18 21:57:15 localhost fsck: /boot was not cleanly unmounted, check forced. 
Apr 18 21:57:15 localhost fsck: /boot: 26/6024 files (0.0% non-contiguous), 
3240/24066 blocks 
Apr 18 21:57:15 localhost rc.sysinit: Checking filesystems succeeded 
Apr 18 21:57:15 localhost rc.sysinit: Mounting local filesystems:  succeeded 
Apr 18 21:57:15 localhost rc.sysinit: Turning on user and group quotas for 
local filesystems:  succeeded 
Apr 18 21:57:15 localhost rc.sysinit: Enabling swap space:  succeeded 
Apr 18 21:58:28 localhost PAM_unix[212]: (system-auth) session opened for user 
root by (uid=0) 
Apr 18 22:02:09 localhost PAM_unix[212]: (system-auth) session closed for user 
root 
Apr 18 22:02:11 localhost init: Entering runlevel: 3 
Apr 18 22:02:21 localhost kudzu:  succeeded 
Apr 18 22:02:21 localhost sysctl: net.ipv4.ip_forward = 0 
Apr 18 22:02:21 localhost sysctl: net.ipv4.conf.all.rp_filter = 1 
Apr 18 22:02:21 localhost sysctl: net.ipv4.ip_always_defrag = 0 
Apr 18 22:02:21 localhost sysctl: kernel.sysrq = 0 
Apr 18 22:02:21 localhost network: Setting network parameters:  succeeded 
Apr 18 22:02:22 localhost network: Bringing up interface lo:  succeeded 
Apr 18 22:02:23 localhost apmd[439]: Battery: * * * (89% 5:07)
Apr 18 22:02:23 localhost random: Initializing random number generator:  
succeeded
Apr 18 22:02:24 localhost netfs: Mounting other filesystems:  succeeded
Apr 18 22:02:24 localhost identd: identd startup succeeded
Apr 18 22:02:24 localhost atd: atd startup succeeded
Apr 18 22:02:24 localhost pcmcia: Starting PCMCIA services:
Apr 18 22:02:25 localhost pcmcia:  modules
Apr 18 22:02:25 localhost kernel: Linux PCMCIA Card Services 3.1.19
Apr 18 22:02:25 localhost kernel:   kernel build: 2.2.16-22 #1 Tue Aug 22 
16:49:06 EDT 2000
Apr 18 22:02:25 localhost kernel:   options:  [pci] [cardbus] [apm]
Apr 18 22:02:25 localhost kernel: PCI routing table version 1.0 at 0xfbc20
Apr 18 22:02:25 localhost kernel:   unknown PCI interrupt router 8086:244c

I have the hardware details from screenshots of my W2K control panel available 
if required.
Comment 5 Arjan van de Ven 2001-04-19 04:48:51 EDT
I would recommend downloading the 2.2.19 errata kernel we released. It is much
newer and has several "cornercases" fixed. As you can boot single user,
installing the rpm (and then updating lilo.conf and running lilo) is possible.
Comment 6 Mark Tyler 2001-04-19 06:42:17 EDT
Tried by using explorer - failed with windows cannot access this folder.

Tried using FTP (from dos and Exceed) both fail to connect.

Tried priority FTP - failed.

I am unable to download the kernel, and the one that I have is supposed 
(according to Redhat hardware compatibility list) to work on my system but 
doesn't.

What now?
Comment 7 Arjan van de Ven 2001-04-19 07:01:57 EDT
Our main site is rather busy with people downloading the 7.1 release.
The mirror below has a pretty good connection:
ftp://alviss.et.tudelft.nl/pub/redhat/updates/7.0/en/os/i686/
Comment 8 Mark Tyler 2001-04-24 02:51:13 EDT
Followed link given, downloaded kernel, came back with not compatible with 
mount < 2.10r and something about nfs => Linux still not working as old version 
still installed.

What's the difference between i386 and i686?
Comment 9 Arjan van de Ven 2001-04-24 04:38:16 EDT
Those packages are available from the same place.
The difference between the i386 and i686 version is that the i686 version is
faster, if you have a Pentium II or Athlon CPU. Those CPU's have several
advanced features which are used in the i686 kernel. The i386 is designed
to work on ALL cpu's (well, the Intel compatible ones).
Comment 10 Mark Tyler 2001-04-24 06:16:03 EDT
Which do I need to update then, i386 or i686, to fix my problem above. i686 
stated incompatibility problems, but there was nothing else in the download 
area to update - does this mean my original is i386?

I'm keen to use the linux system instead of windows, but so far I've got 
nowhere nearer to getting it working.
Comment 11 Arjan van de Ven 2001-04-24 06:25:16 EDT
It's perfectly fine to install the i386 programs with the i686 kernel.

Note You need to log in before you can comment on or make changes to this bug.